Skip to main content
GET
/
channels
/
{myshopifyDomain}
/
collabs
/
{collabId}
Get Channel Collab
curl --request GET \
  --url https://unified-api.creatorcommerce.shop/channels/{myshopifyDomain}/collabs/{collabId} \
  --header 'x-channel-access-token: <api-key>'
{
  "collab": {
    "_id": "67801c7dddd3b70bb40a62e9",
    "creator": {
      "_id": "67801c7dddd3b70bb40a62e6",
      "firstName": "Brett",
      "lastName": "Anderson",
      "handle": "brett",
      "email": "kenyon+0404030430403300e0r@creatorcommerce.shop",
      "profilePicture": {
        "_id": "68318157b14fb8d0032f0884",
        "url": "https://assets.drops.shop/user_2rP83VD6o02CQ9hHNINi6nfZVcr/68318157b14fb8d0032f0884.png",
        "mimeType": "image/png",
        "mediaContentType": "IMAGE",
        "filename": "68318157b14fb8d0032f0884"
      },
      "shop": {
        "theme": {
          "primaryColor": "#000000"
        },
        "title": "Brett's Shop"
      }
    },
    "collabTier": {
      "_id": "6785e7cb86247878dbd60430",
      "title": "Shopify Collabs Tier Codes - CC // Ambassadors"
    },
    "campaign": {
      "_id": "6797d50cecf174b7e23f3f50",
      "title": "Ambassadors"
    },
    "affiliateCode": "brett15",
    "affiliateUrl": "https://www.demobrand.shop/brett15",
    "discount": {
      "discountAmount": 0.1,
      "discountType": "Percentage"
    },
    "drops": [
      {
        "_id": "6831814eb14fb8d0032f086a",
        "title": "Starter Kit",
        "description": "For your first purchases. Trust me.",
        "enhancements": [
          {
            "_id": "6831814eb14fb8d0032f0873",
            "product": "6831814e5623cdacc9023abd",
            "note": "Perfect for riding in the lambo",
            "media": [
              {
                "_id": "68c229ffd1866e0904f04e74",
                "url": "https://assets.drops.shop/user_2Y9PXpJDOvhRp4ezcyT91wcge9W/68c229ffd1866e0904f04e74.mp4",
                "mimeType": "video/mp4",
                "mediaContentType": "VIDEO",
                "filename": "68c229ffd1866e0904f04e74"
              }
            ]
          }
        ],
        "media": [],
        "products": [
          {
            "_id": "6831814e5623cdacc9023abd",
            "shopifyId": "gid://shopify/Product/9830837322023",
            "shopifyHandle": "the-moonshot-hodl"
          }
        ]
      }
    ],
    "customFields": [
      {
        "_id": "68317ae95623cdacc9fc1393",
        "handle": "cc-hero-header",
        "ownerType": "collab",
        "ownerId": "67801c7dddd3b70bb40a62e9",
        "value": "Love the hold, you will too!",
        "type": "single_line_text_field"
      }
    ]
  }
}

Authorizations

x-channel-access-token
string
header
required

Channel or partner access token (x-channel-access-token or x-partner-access-token)

Path Parameters

myshopifyDomain
string
required

The Shopify domain

Example:

"cc-goaff-sandbox.myshopify.com"

collabId
string
required

The collab ID

Example:

"67801c7dddd3b70bb40a62e9"

Response

Successfully retrieved channel collab

Response containing single collab with fully populated creator, drops, enhancements, and custom fields

collab
object